public class TestInclusionEnConsole {

/////////////////////////////////////////////////////

/* Test de l'inclusion d'un point dans un cercle   */
/* Les coordonnees du point sont donnees           */
/* ainsi que le rayon et les coordonnees           */
/* du centre du cercle                             */

  static boolean testInclusion(double x,
                               double y,
                               double rayon,
                               double cx,
                               double cy) {
    boolean inclus;
    double distance;
    distance = Math.sqrt((x-cx)*(x-cx)+(y-cy)*(y-cy));
    if ( distance < rayon ) {
      inclus = true; }
      else {
      inclus = false; }
    return inclus;
  }

/////////////////////////////////////////////////////

/* Programme principal                             */

  public static void main(String [] args) {
    Console.setTitle("TestInclusion");
    double px;
    double py;
    double r;
    double xCentre;
    double yCentre;
    boolean resultat;
    Console.afficher("SVP, abscisse du point            : ");
    px = Console.saisirDouble();
    Console.afficher("SVP, ordonnee du point            : ");
    py = Console.saisirDouble();
    Console.afficher("SVP, rayon du cercle              : ");
    r = Console.saisirDouble();
    Console.afficher("SVP, abscisse du centre du cercle : ");
    xCentre = Console.saisirDouble();
    Console.afficher("SVP, ordonnee du centre du cercle : ");
    yCentre = Console.saisirDouble();
    resultat = testInclusion(px,py,r,xCentre,yCentre);
    Console.afficherln("Test d'inclusion : ",resultat);
  }
}